Unit tmnr3r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, MNR3R_p, UTMN13_p;

function tmnr3r: String;

implementation

function tmnr3r: String;
var
M,N,S,K,I,IP :Integer;
Z,ZS,EPS :Real;
DIF :Array [0..7] of Real;
Y :Array [0..7] of Real;
NY :Array [0..7] of Integer;
NX :Array [0..5] of Integer;
X :Array [0..0] of Integer;
const
B :Array [0..7] of Real = ( 2.0,2.0,2.0,2.0,-1.0,-1.0,-1.0,-1.0 );
C :Array [0..5] of Real = ( 1.0,1.0,1.0,1.0,1.0,1.0 );
NC :Array [0..5] of Integer = ( 4,4,4,4,4,4 );
A :Array [0..23] of Real = ( 1.0,1.0,-1.0,-1.0,1.0,1.0,-1.0,-1.0,1.0,1.0,
-1.0,-1.0,1.0,1.0,-1.0,-1.0,1.0,1.0,-1.0,-1.0,1.0,
1.0,-1.0,-1.0 );
NA :Array [0..23] of Integer = ( 1,2,5,6,1,3,5,7,2,3,6,7,1,4,5,8,2,4,6,8,3,4,7,8 );
XS :Array [0..0] of Integer = ( 0 );
label
_2;
begin
Result := '';  {   }
M := 8;
N := 6;
S := 0;
EPS := 0.1E-03;
MNR3R(X,XS,A,NA,B,C,NC,M,N,Y,Z,ZS,S,NY,NX,DIF,EPS);
K := 0;
for I:=1 to N do
 NX[I-1] := 0;

for I:=1 to N do
 begin
  UTMN13(I,X,IP);
  NX[I-1] := IP;
_2:
 end;
Result := Result + Format('%s',['   Z=']);
Result := Result + Format('%20.16f ',[Z]);
Result := Result + Format('%s',['  NX=']);
Result := Result + #$0D#$0A;
for I:=1 to N do
 begin
  Result := Result + Format('%3d ',[NX[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;

UtRes('tmnr3r',Result);  {     tmnr3r.res }
exit;
end;

end.
